openapi: 3.0.0
info:
  title: API de Contactos
  version: 1.0.0
servers:
  - url: http://localhost:8082

tags:
  - name: contacto
    description: API para contactos

paths:
  /contacto:
    post:
      tags:
        - contacto
      summary: Guarda contacto
      operationId: guardarContacto
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GuardarContacto'
          application/xml:
            schema:
              $ref: '#/components/schemas/GuardarContacto'
      responses:
        '200':
          description: contacto guardado correctamente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GuardarContacto'
            application/xml:
              schema:
                $ref: '#/components/schemas/GuardarContacto'
        default:
          description: contacto guardado correctamente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GuardarContacto'
            application/xml:
              schema:
                $ref: '#/components/schemas/GuardarContacto'
  /contacto/{contactoId}:
    parameters:
      - name: contactoId
        in: path
        required: true
        description: ID del contacto.
        schema:
          type: integer
    get:
      tags:
        - contacto
      summary: Obtener un contacto por su ID
      operationId: obtenercontacto
      responses:
        '200':
          description: Contacto recuperado correctamente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObtenerContacto'
            application/xml:
              schema:
                $ref: '#/components/schemas/ObtenerContacto'
        default:
          description: Contacto recuperado correctamente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObtenerContacto'
            application/xml:
              schema:
                $ref: '#/components/schemas/ObtenerContacto'
components:
  schemas:
    GuardarContacto:
      type: object
      properties:
        contactoID:
          type: integer
          description: ID del contacto.
          example: 201
        nombre:
          type: string
          description: Nombre del contacto.
          example: "María"
        apellidos:
          type: string
          description: Apellidos del contacto.
          example: "Gómez"
        numeroDocumento:
          type: string
          description: Numero del contacto.
          example: "87654321"
        tipoDocumento:
          type: string
          description: tipo documento del contacto.
          example: "RUC"
        telefono:
          type: string
          description: telefono del contacto.
          example: "987123456"
        correo:
          type: string
          description: correo del contacto.
          example: "maria.gomez@example.com"
        direccion:
          type: string
          description: direccion del contacto.
          example: "Calle Secundaria 456"

    ObtenerContacto:
      type: object
      properties:
        contactoID:
          type: integer
          description: ID del contacto.
          example: 201
        nombre:
          type: string
          description: Nombre del contacto.
          example: "María"
        apellidos:
          type: string
          description: Apellidos del contacto.
          example: "Gómez"
        numeroDocumento:
          type: string
          description: Numero del contacto.
          example: "87654321"
        tipoDocumento:
          type: string
          description: tipo documento del contacto.
          example: "RUC"
        telefono:
          type: string
          description: telefono del contacto.
          example: "987123456"
        correo:
          type: string
          description: correo del contacto.
          example: "maria.gomez@example.com"
        direccion:
          type: string
          description: direccion del contacto.
          example: "Calle Secundaria 456"
